[Elven Wizard Class Transfer]:
In order to become an Elemental Summoner, the Elven Wizard must complete three quests. The Trial of the Scholar can only be undertaken by a player of level 35 or above. This quest begins by meeting with Magister Mirien of Dion Castle Town. The Testimony of Life can only be undertaken by a player of level 37 or above. This quest begins by meeting with Master Cardien of Dion Castle Town. Finally, the Test of the Summoner can be undertaken by a player of level 39 or above. This quest begins by meeting with High Summoner Galatea of Gludin Village.
Return
Close Window